const test = require('tape')

const path = require('path')
const pull = require('pull-stream')
const file = require('pull-file')

const fs = require('fs')
const axios = require('axios')

const Server = require('./testbot')
const filePath = path.resolve(__dirname, '../README.md')

test('hyperBlobs.add', t => {
  t.plan(2)
  const server = Server()

  pull(
    file(filePath),
    server.hyperBlobs.add((err, done = {}) => {
      t.error(err, 'adds file')

      const { driveAddress, blobId, readKey } = done

      const url = `http://localhost:26836/drive/${driveAddress}/blob/${blobId}?readKey=${readKey}&fileName=README.md}`
      axios.get(url)
        .then(res => {
          const fileContent = fs.readFileSync(filePath, 'utf-8')
          t.deepEqual(res.data, fileContent, 'retrieve file over http!')

          server.close(t.end)
        })
    })
  )
})
